| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Lib::LoadableScriptOptTest::LoadableScriptOptDerived Class Reference

Inheritance diagram for IG::Lib::LoadableScriptOptTest::LoadableScriptOptDerived:
[legend]
Collaboration diagram for IG::Lib::LoadableScriptOptTest::LoadableScriptOptDerived:
[legend]

List of all members.

## Public Member Functions
override void | Analyse (IAnalysisResults anRes)
| Performs direct analysis for optimization problems. This method must be overridden in derived classes where one wants to have direct analysis defined.
## Protected Member Functions
override void | InitializeThis (string[] arguments)
| Inializes the current script object.
override string | RunThis (string[] arguments)
| Performs the action of this object. Override this in derived classes!

## Member Function Documentation

override void IG::Lib::LoadableScriptOptTest::LoadableScriptOptDerived::InitializeThis | ( | string[] | arguments | ) | `[inline, protected, virtual]`

Inializes the current script object.

Parameters:

  arguments | Initialization arguments. The first argument must be the working directory path.

Reimplemented from IG::Lib::LoadableScriptOptBase.

override string IG::Lib::LoadableScriptOptTest::LoadableScriptOptDerived::RunThis | ( | string[] | arguments | ) | `[inline, protected, virtual]`

Performs the action of this object. Override this in derived classes!

Parameters:

  arguments | Arguments through which different information can be passed.

Returns:
  String that represents result of the action.

Implements IG::Lib::LoadableScriptBase.

override void IG::Lib::LoadableScriptOptTest::LoadableScriptOptDerived::Analyse | ( | IAnalysisResults | anRes | ) | `[inline, virtual]`

Performs direct analysis for optimization problems. This method must be overridden in derived classes where one wants to have direct analysis defined.

Parameters:

  anRes | IAnalysisResults object where input parameters are loaded on the call, and where analysis results are stored after the call.

In order to perform the direct analysis, an embedded Analysis object is used. This object's analysis method calls the current Analyse method in order to actually perform the analysis.

Implements IG::Lib::LoadableScriptOptBase.

The documentation for this class was generated from the following file:

- LoadableScriptOpt.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events